<?php

namespace \Losc\CucmBundle\Model\Webservice\ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Reset ServiceType
 * @subpackage Services
 */
class Reset extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named resetSipTrunkSecurityProfile
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetSipTrunkSecurityProfile(\\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetSipTrunkSecurityProfile($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named resetCallManager
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetCallManager(\\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetCallManager($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named resetDevicePool
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetDevicePool(\\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetDevicePool($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named resetTranscoder
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetTranscoder(\\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetTranscoder($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named resetCommonDeviceConfig
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetCommonDeviceConfig(\\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetCommonDeviceConfig($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named resetResourcePriorityNamespace
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\ResetResourcePriorityNamespaceReq $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetResourcePriorityNamespace(\\Losc\CucmBundle\Model\Webservice\StructType\ResetResourcePriorityNamespaceReq $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetResourcePriorityNamespace($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named resetResourcePriorityNamespaceList
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetResourcePriorityNamespaceList(\\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetResourcePriorityNamespaceList($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named resetHuntList
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetHuntList(\\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetHuntList($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named resetCallManagerGroup
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetCallManagerGroup(\\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetCallManagerGroup($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named resetDirectedCallPark
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\ResetDirectedCallParkReq $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetDirectedCallPark(\\Losc\CucmBundle\Model\Webservice\StructType\ResetDirectedCallParkReq $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetDirectedCallPark($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named resetRouteList
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetRouteList(\\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetRouteList($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named resetDateTimeGroup
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetDateTimeGroup(\\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetDateTimeGroup($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named resetSrst
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetSrst(\\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetSrst($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named resetVoiceMailProfile
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetVoiceMailProfile(\\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetVoiceMailProfile($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named resetVoiceMailPort
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetVoiceMailPort(\\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetVoiceMailPort($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named resetGatekeeper
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetGatekeeper(\\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetGatekeeper($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named resetCommonPhoneConfig
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetCommonPhoneConfig(\\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetCommonPhoneConfig($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named resetCtiRoutePoint
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetCtiRoutePoint(\\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetCtiRoutePoint($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named resetPhoneSecurityProfile
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetPhoneSecurityProfile(\\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetPhoneSecurityProfile($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named resetConferenceBridge
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetConferenceBridge(\\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetConferenceBridge($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named resetMtp
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetMtp(\\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetMtp($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named resetLine
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\ResetLineReq $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetLine(\\Losc\CucmBundle\Model\Webservice\StructType\ResetLineReq $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetLine($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named resetH323Phone
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetH323Phone(\\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetH323Phone($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named resetH323Trunk
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetH323Trunk(\\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetH323Trunk($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named resetPhone
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetPhone(\\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetPhone($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named resetH323Gateway
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetH323Gateway(\\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetH323Gateway($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named resetGateway
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\ResetGatewayReq $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetGateway(\\Losc\CucmBundle\Model\Webservice\StructType\ResetGatewayReq $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetGateway($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * resetCiscoCatalyst600024PortFXSGateway
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetCiscoCatalyst600024PortFXSGateway(\\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetCiscoCatalyst600024PortFXSGateway($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * resetCiscoCatalyst6000E1VoIPGateway
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetCiscoCatalyst6000E1VoIPGateway(\\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetCiscoCatalyst6000E1VoIPGateway($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * resetCiscoCatalyst6000T1VoIPGatewayPri
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetCiscoCatalyst6000T1VoIPGatewayPri(\\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetCiscoCatalyst6000T1VoIPGatewayPri($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * resetCiscoCatalyst6000T1VoIPGatewayT1
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetCiscoCatalyst6000T1VoIPGatewayT1(\\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetCiscoCatalyst6000T1VoIPGatewayT1($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named resetSipTrunk
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse|bool
     */
    public function resetSipTrunk(\\Losc\CucmBundle\Model\Webservice\StructType\NameAndGUIDRequest $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->resetSipTrunk($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StandardResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
